View Issue Details

IDProjectCategoryView StatusLast Update
0000238OpenMPT[All Projects] Feature Requestpublic2019-09-06 16:33
Reporterrakib Assigned ToSaga Musix  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Platformx64OSWindowsOS Version7
Product VersionOpenMPT 1.20.00.* (old testing) 
Target VersionOpenMPT 1.29 / libopenmpt 0.5 (goals)Fixed in VersionOpenMPT 1.29 / libopenmpt 0.5 (goals) 
Summary0000238: Split/merge patterns
Description

Merge:
Now that we have the awesome feature that we can select several patterns at the same time, it could be handy some time to be able to merge them into one singel pattern, off course in the range of 1024 which is the max rows allowed in the mptm-format.

Split:
Sometimes you may have a too large pattern, maybe the same melody twice and it would a big timesaver if you could automatically split a pattern in half, instead of using copy/paste/delete.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

has duplicate 0000918 closed Split and merge ability for patterns 
related to 0001205 new "Split" function for .mod / .s3m patterns 

Activities

rakib

rakib

2012-03-27 00:47

reporter  

Uten navn.png (8,731 bytes)
Uten navn.png (8,731 bytes)
harbinger

harbinger

2012-04-05 14:03

reporter   ~0000684

Oh, i second this feature request! ;)

ruinatokyo

ruinatokyo

2012-09-24 08:39

reporter   ~0000893

These would be a great addition. Thirded ;)

moltres_rider

moltres_rider

2012-11-30 18:56

reporter   ~0000979

I also want to second this request... splitting patterns would be awesome!!!

Saga Musix

Saga Musix

2019-09-06 16:33

administrator   ~0004043

Implemented in r12015 (thanks to JoaoBaptMG for the initial implementation submitted via GitHub). Merging is now possible from the order list context menu, as envisioned in your screenshot. Splitting a pattern is possible from the pattern context menu. It's split at the row where you right-click the pattern. If invoked via a keyboard shortcut, it's split at the edit cursor position instead.

Issue History

Date Modified Username Field Change
2012-03-27 00:47 rakib New Issue
2012-03-27 00:47 rakib File Added: Uten navn.png
2012-04-01 11:43 Saga Musix Status new => acknowledged
2012-04-05 14:03 harbinger Note Added: 0000684
2012-09-24 08:39 ruinatokyo Note Added: 0000893
2012-11-30 18:56 moltres_rider Note Added: 0000979
2017-02-12 13:49 Saga Musix Relationship added has duplicate 0000918
2019-02-28 07:32 Saga Musix Relationship added related to 0001205
2019-08-04 11:49 Saga Musix Assigned To => Saga Musix
2019-08-04 11:49 Saga Musix Status acknowledged => assigned
2019-09-06 16:33 Saga Musix Note Added: 0004043
2019-09-06 16:33 Saga Musix Status assigned => resolved
2019-09-06 16:33 Saga Musix Resolution open => fixed
2019-09-06 16:33 Saga Musix Fixed in Version => OpenMPT 1.29 / libopenmpt 0.5 (goals)
2019-09-06 16:33 Saga Musix Target Version => OpenMPT 1.29 / libopenmpt 0.5 (goals)